## django-measurement 3.1.1

=== requirements.txt ===
django
django-appconf>=1.0.2
measurement>=1.6

=== debian/changelog ===
django-measurement (3.1.1-1) unstable; urgency=low

  * Initial release

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 13 Apr 2019 23:04:35 -0300

=== debian/control ===
Source: django-measurement
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all (>= 2.6.6-3),
               python3-django-appconf,
               python3-measurement,
               python3-pbr,
               python3-pytest,
               python3-pytest-django,
               python3-setuptools (>= 0.6b3)
Standards-Version: 4.3.0
Homepage: https://github.com/coddingtonbear/django-measurement
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-measurement.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-measurement-mptt

Package: python3-django-measurement
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: fields and classes for handling measurements for Django
 This package provides a model field and an admin interface for storing
 measurements, as provided by python3-measurement, in Django models. This
 allows one to easily use, manipulate, and store unit-aware measurement in
 Django model objects.
 .
 This package is for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sat, 13 Apr 2019 23:04:35 -0300
export PYBUILD_NAME=django-measurement
export DJANGO_SETTINGS_MODULE=tests.settings
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/django-measurement/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-measurement/django-measurement-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## django-measurement 3.2.3

=== debian/changelog ===
django-measurement (3.2.3-2) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 19:52:20 +0100

django-measurement (3.2.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.
  * d/watch: Use https protocol.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Antonio Terceiro ]
  * debian/watch: pull from github
  * New upstream version 3.2.3
  * debian/rules: set SETUPTOOLS_SCM_PRETEND_VERSION.
    The upstream build system is now using use_scm_version=True. Add
    python3-setuptools-scm as a build dependency.
  * Add new build dependencies:
    - python3-pytest-runner
    - python3-pytest-cov
    - python3-sphinx
  * debian/watch: bump to version 4
  * Bump Standards-Version to 4.5.1
  * debian/rules: don't include .coverage in binary package

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Feb 2021 19:26:44 -0300

=== debian/control ===
Source: django-measurement
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all (>= 2.6.6-3),
               python3-django-appconf,
               python3-measurement,
               python3-pbr,
               python3-pytest,
               python3-pytest-cov,
               python3-pytest-django,
               python3-pytest-runner,
               python3-setuptools (>= 0.6b3),
               python3-setuptools-scm,
               python3-sphinx,
Standards-Version: 4.5.1
Homepage: https://github.com/coddingtonbear/django-measurement
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-measurement.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-measurement

Package: python3-django-measurement
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: fields and classes for handling measurements for Django
 This package provides a model field and an admin interface for storing
 measurements, as provided by python3-measurement, in Django models. This
 allows one to easily use, manipulate, and store unit-aware measurement in
 Django model objects.
 .
 This package is for Python 3.

## django-measurement 3.2.4

=== debian/changelog ===
django-measurement (3.2.4-2) unstable; urgency=medium

  * Team upload.
  * Use dh-sequence-python3.
  * Use pybuild-plugin-pyproject (closes: #1118305).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Oct 2025 17:04:31 +0100

django-measurement (3.2.4-1) unstable; urgency=medium

  * Team Upload.

  [ Lena Voytek ]
  * New upstream version 3.2.4 (Closes: #1013498)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 26 Nov 2022 14:20:34 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all (>= 2.6.6-3),
                python3-django-appconf,
                python3-measurement,
@@ -16,7 +17,7 @@
                python3-setuptools (>= 0.6b3),
                python3-setuptools-scm,
                python3-sphinx,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/coddingtonbear/django-measurement
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-measurement.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-measurement

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=django-measurement
export DJANGO_SETTINGS_MODULE=tests.settings
export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -name .coverage -delete

=== debian/tests/control ===
Test-Command: cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && DJANGO_SETTINGS_MODULE=tests.settings python3 -m pytest
Depends: @, python3-pytest, python3-pytest-django
Features: test-name=testsuite
Restrictions: allow-stderr

=== debian/watch ===
# please also check https://pypi.debian.net/django-measurement/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/coddingtonbear/django-measurement/tags .*/([\d\.]+)\.tar\.gz
